## net.sf.statcvs.input
Class CvsRevisionParser

    java.lang.Object
      net.sf.statcvs.input.CvsRevisionParser

    public class CvsRevisionParser

extends Object

Parses all revisions of one file.

Version:
  $Id: CvsRevisionParser.java,v 1.41 2008/04/02 11:22:15 benoitx Exp $
Author:
  Anja Jentzsch, Richard Cyganiak

Field Summary
`static String` `FILE_DELIMITER` File Delimiter in CVS log file
`static String` `REVISION_DELIMITER` Revision Delimiter in CVS log file

Constructor Summary
`CvsRevisionParser(LookaheadReader logReader, CvsLogBuilder builder)` Default Constructor CvsRevisionParser.

Method Summary
`void` `parse()` Parses the list of revisions for one file

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### REVISION_DELIMITER

    public static final String REVISION_DELIMITER

  Revision Delimiter in CVS log file

  See Also:
    Constant Field Values

### FILE_DELIMITER

    public static final String FILE_DELIMITER

  File Delimiter in CVS log file

  See Also:
    Constant Field Values

Constructor Detail

### CvsRevisionParser

    public CvsRevisionParser(LookaheadReader logReader,
                             CvsLogBuilder builder)

  Default Constructor CvsRevisionParser.

  Parameters:
    `logReader` - the reader
    `builder` - a `Builder` for the creation process

Method Detail

### parse

    public void parse()
               throws LogSyntaxException,
                      IOException

  Parses the list of revisions for one file

  Throws:
    `LogSyntaxException` - on syntax error in the log
    `IOException` - on read error